# Localizer

class `psi4.core.``Localizer`

  Bases: `pybind11_builtins.pybind11_object`

  Class containing orbital localization procedures

  Attributes Summary

  `L` | Localized orbital coefficients
  `U` | Orbital rotation matrix
  `converged` | Did the localization procedure converge?

  Methods Summary

  `build`(arg0, arg1, arg2) | Build the localization scheme
  `localize`(self) | Perform the localization procedure

  Attributes Documentation

  `L`

    Localized orbital coefficients

  `U`

    Orbital rotation matrix

  `converged`

    Did the localization procedure converge?

  Methods Documentation

  `build`(arg0: str, arg1: psi4.core.BasisSet, arg2: psi4.core.Matrix) → psi4.core.Localizer

    Build the localization scheme

  `localize`(self: psi4.core.Localizer) → None

    Perform the localization procedure

  `L`

    Localized orbital coefficients

  `U`

    Orbital rotation matrix

  `build`(arg0: str, arg1: psi4.core.BasisSet, arg2: psi4.core.Matrix) → psi4.core.Localizer

    Build the localization scheme

  `converged`

    Did the localization procedure converge?

  `localize`(self: psi4.core.Localizer) → None

    Perform the localization procedure